Debian Bug report logs - #592614
valgrind: ARM EABI (armel) support status

version graph

Package: valgrind; Maintainer for valgrind is Alessandro Ghedini <ghedo@debian.org>; Source for valgrind is src:valgrind.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 11 Aug 2010 13:39:02 UTC

Severity: wishlist

Found in versions valgrind/1:3.6.1-2, valgrind/1:3.6.0~svn11254

Fixed in version valgrind/1:3.6.1-3

Done: Pierre Habouzit <madcoder@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 Aug 2010 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 Aug 2010 13:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: valgrind: `arm' is not a valid release architecture
Date: Wed, 11 Aug 2010 14:43:10 +0100
Package: valgrind
Version: 1:3.6.0~svn11254
Severity: important


Hello,

 In the control file:
 Architecture: i386 amd64 powerpc arm

 Please substitute `arm' by `armel', which is the name of the architecture to be released.

 I tried a quick build on local armel machine, but it did not build for me, failing on the configuration part, I have not had any more time to look for a fix. Also note that upstream holds a branch for better `armel' support at:
  svn://sv.valgrind.org/valgrind/branches/THUMB

Best regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages valgrind depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libc6-dbg                     2.11.2-2   Embedded GNU C Library: detached d

Versions of packages valgrind recommends:
pn  gdb                           <none>     (no description available)

Versions of packages valgrind suggests:
pn  alleyoop                      <none>     (no description available)
pn  kcachegrind                   <none>     (no description available)
pn  valkyrie                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Sun, 15 Aug 2010 16:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Sun, 15 Aug 2010 16:33:12 GMT) Full text and rfc822 format available.

Message #10 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Hector Oron <zumbi@debian.org>, 592614@bugs.debian.org
Subject: Re: Bug#592614: valgrind: `arm' is not a valid release architecture
Date: Sun, 15 Aug 2010 18:32:48 +0200
        Hi

On Wed, Aug 11, 2010, Hector Oron wrote:
>  I tried a quick build on local armel machine, but it did not build
>  for me, failing on the configuration part, I have not had any more
>  time to look for a fix.

 What was the failure?

 I got valgrind to build in Ubuntu back in February:
 https://launchpad.net/ubuntu/+source/valgrind/1:3.6.0~svn20100212-0ubuntu5/+build/1708719
 so it sounds like a regression.

>                          Also note that upstream holds a branch for
>  better `armel' support at:
>   svn://sv.valgrind.org/valgrind/branches/THUMB

 I'm not sure that's really relevant for Debian which defaults to ARM
 mode; of course it's nice to support Thumb in Debian, but it's off
 mainline, and in fact Debian currently has a newer snapshot than the
 time this branch was forked.

   Cheers,
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 28 Sep 2010 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 28 Sep 2010 21:54:04 GMT) Full text and rfc822 format available.

Message #15 received at 592614@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Loïc Minier <lool@debian.org>
Cc: 592614@bugs.debian.org
Subject: valgrind: on Debian ARM EABI (armel)
Date: Tue, 28 Sep 2010 22:50:23 +0100
Hello Loïc,

Apologies for the gap in time.

The build failure in valgrind is:
checking for a supported CPU... no (armv5tel)
configure: error: Unsupported host architecture. Sorry
make: *** [config.status] Error 1

In the configure.in there is a check for:
[...]
# ARCH_MAX reflects the most that this CPU can do: for example if it
# is a 64-bit capable PowerPC, then it must be set to ppc64 and not ppc32.
# Ditto for amd64.  It is used for more configuration below, but is not used
# outside this file.
case "${host_cpu}" in
[...]

     armv7*)
        AC_MSG_RESULT([ok (${host_cpu})])
        ARCH_MAX="arm"
        ;;

     *)
        AC_MSG_RESULT([no (${host_cpu})])
        AC_MSG_ERROR([Unsupported host architecture. Sorry])
        ;;
esac

I need to find out if current valgrind code could work on `armv4t'
(which is Debian default).

Hence I retitle and lower severity from this bug report.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Severity set to 'wishlist' from 'important' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 21:54:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'valgrind: ARM EABI (armel) support status' from 'valgrind: `arm' is not a valid release architecture' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 21:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 28 Sep 2010 22:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 28 Sep 2010 22:51:09 GMT) Full text and rfc822 format available.

Message #24 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: 592614@bugs.debian.org, Peter Maydell <peter.maydell@linaro.org>
Subject: Re: valgrind: on Debian ARM EABI (armel)
Date: Wed, 29 Sep 2010 00:50:43 +0200
On Tue, Sep 28, 2010, Hector Oron wrote:
> The build failure in valgrind is:
> checking for a supported CPU... no (armv5tel)
> configure: error: Unsupported host architecture. Sorry
> make: *** [config.status] Error 1
> 
> In the configure.in there is a check for:
> [...]
> # ARCH_MAX reflects the most that this CPU can do: for example if it
> # is a 64-bit capable PowerPC, then it must be set to ppc64 and not ppc32.
> # Ditto for amd64.  It is used for more configuration below, but is not used
> # outside this file.
> case "${host_cpu}" in
> [...]
> 
>      armv7*)
>         AC_MSG_RESULT([ok (${host_cpu})])
>         ARCH_MAX="arm"
>         ;;
> 
>      *)
>         AC_MSG_RESULT([no (${host_cpu})])
>         AC_MSG_ERROR([Unsupported host architecture. Sorry])
>         ;;
> esac

 ah, that's bad

 I think that's broken even for us; it's a bit too fragile to look at
 uname, especially for distros where the buildd might be a big iron, but
 the binaries need to run everywhere.  The triplet isn't good enough as
 it carries too little information.

 What worked well for me on ARM (NOT on x86 though) is probing of the
 toolchain defaults; the ffmpeg source package has good examples of how
 I configure various builds depending on the toolchain.  Basically, try
 to build something v7, if that works you can use v7 instructions.  Same
 for NEON, VFP etc.  (debian/confflags in ffmpeg)

> I need to find out if current valgrind code could work on `armv4t'
> (which is Debian default).

 Hmm before Julian started working on v7, someone was putting efforts
 into an ARM port which wasn't specifically v7 or Thumb or NEON or
 anything.  I think the current valgrind SVN can simulate NEON on
 non-NEON and vice-versa, but I'm not sure, and I don't know whether it
 can run e.g. armv7 binaries on armv4.  In any case, I would expect that
 armv4 on armv4 should be within reach since I understand armv7 is a
 superset.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 29 Sep 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 29 Sep 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 592614@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Loïc Minier <lool@dooz.org>
Cc: 592614@bugs.debian.org, Peter Maydell <peter.maydell@linaro.org>
Subject: Re: valgrind: on Debian ARM EABI (armel)
Date: Wed, 29 Sep 2010 10:31:24 +0100
Hello Loïc,

>> I need to find out if current valgrind code could work on `armv4t'
>> (which is Debian default).
>
>  Hmm before Julian started working on v7, someone was putting efforts
>  into an ARM port which wasn't specifically v7 or Thumb or NEON or
>  anything.  I think the current valgrind SVN can simulate NEON on
>  non-NEON and vice-versa, but I'm not sure, and I don't know whether it
>  can run e.g. armv7 binaries on armv4.  In any case, I would expect that
>  armv4 on armv4 should be within reach since I understand armv7 is a
>  superset.

I attempted to bypass the CPU check and there is assembler non
supported by the armv5tel toolchain:

m_dispatch/dispatch-arm-linux.S: Assembler messages:
m_dispatch/dispatch-arm-linux.S:61: Error: selected processor does not
support `fmxr fpscr,r4'
m_dispatch/dispatch-arm-linux.S:217: Error: selected processor does
not support `fmrx r4,fpscr'
make[4]: *** [libcoregrind_arm_linux_a-dispatch-arm-linux.o] Error 1

That part might need porting.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 29 Sep 2010 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 29 Sep 2010 09:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Hector Oron <hector.oron@gmail.com>
Cc: 592614@bugs.debian.org, Peter Maydell <peter.maydell@linaro.org>
Subject: Re: valgrind: on Debian ARM EABI (armel)
Date: Wed, 29 Sep 2010 11:39:02 +0200
On Wed, Sep 29, 2010, Hector Oron wrote:
> m_dispatch/dispatch-arm-linux.S: Assembler messages:
> m_dispatch/dispatch-arm-linux.S:61: Error: selected processor does not
> support `fmxr fpscr,r4'

 Yes, definitely   :-/

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 29 Sep 2010 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Maydell <peter.maydell@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 29 Sep 2010 13:21:03 GMT) Full text and rfc822 format available.

Message #39 received at 592614@bugs.debian.org (full text, mbox):

From: Peter Maydell <peter.maydell@linaro.org>
To: Loïc Minier <lool@dooz.org>
Cc: Hector Oron <hector.oron@gmail.com>, 592614@bugs.debian.org
Subject: Re: valgrind: on Debian ARM EABI (armel)
Date: Wed, 29 Sep 2010 14:18:55 +0100
On 28 September 2010 23:50, Loïc Minier <lool@dooz.org> wrote:
> On Tue, Sep 28, 2010, Hector Oron wrote:
>> I need to find out if current valgrind code could work on `armv4t'
>> (which is Debian default).

I have asked Julian about the status of this. The answer is that
ARMv5 (let alone v4) "is not supported and possibly never will be".
The current requirement is ARMv7.

On the technical issues he says:
"v6 is kind-of doable, although it gives some problems with SWP
and SWPB.  v5 would also be theoretically doable, although with
more atomics problems and significantly poorer code generation
due to non-availability of MOVW and MOVT for 32-bit constant
generation."

So although it could be done, there's more to it than just weeding
out accidental v7isms, I'm afraid.

Julian also raises the question of whether it's really worth doing
for v6 and v5, from a performance aspect, given that it's only
just about usable on an A8. He's also reluctant to add yet another
configuration that valgrind has to support, test and maintain.

-- Peter Maydell




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 29 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 29 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Peter Maydell <peter.maydell@linaro.org>
Cc: Hector Oron <hector.oron@gmail.com>, 592614@bugs.debian.org
Subject: Re: valgrind: on Debian ARM EABI (armel)
Date: Wed, 29 Sep 2010 15:31:08 +0200
On Wed, Sep 29, 2010, Peter Maydell wrote:
> I have asked Julian about the status of this. The answer is that
> ARMv5 (let alone v4) "is not supported and possibly never will be".
> The current requirement is ARMv7.

 Peter, thanks for gathering this

 I think an armv4/5/6 valgrind wont happen soon; however it would be
 quite nice to build valgrind on Debian armel with -marmv7a to at least
 offer it to people running Debian armel on armv7+ hardware -- it's
 better than nothing, isn't it?   :-)   This also serves as a good base
 if someone wants to do the porting

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Sat, 02 Oct 2010 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Sat, 02 Oct 2010 17:12:06 GMT) Full text and rfc822 format available.

Message #49 received at 592614@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Loïc Minier <loic.minier@linaro.org>, 592614@bugs.debian.org
Cc: Peter Maydell <peter.maydell@linaro.org>, Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#592614: valgrind: on Debian ARM EABI (armel)
Date: Sat, 2 Oct 2010 19:11:08 +0200
[Message part 1 (text/plain, inline)]
Loïc Minier <loic.minier@linaro.org> (29/09/2010):
> I think an armv4/5/6 valgrind wont happen soon; however it would be
> quite nice to build valgrind on Debian armel with -marmv7a to at
> least offer it to people running Debian armel on armv7+ hardware --
> it's better than nothing, isn't it?  :-) This also serves as a good
> base if someone wants to do the porting

Maybe one could just do s/arm/armel/ as a start, which would help
people see how far it goes without having to try themselves.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 19 Oct 2010 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 19 Oct 2010 20:27:03 GMT) Full text and rfc822 format available.

Message #54 received at 592614@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 592614@bugs.debian.org
Cc: loic.minier@linaro.org, kibi@debian.org, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: current snapshot ok for armv7
Date: Tue, 19 Oct 2010 23:21:57 +0300
Hi,

Current svn snapshots of valgrind seem to work fine on arm(v7).
I'd follow The advice from Loïc and build valgrind with -marmv7a
for now.

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 10 May 2011 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 10 May 2011 13:39:06 GMT) Full text and rfc822 format available.

Message #59 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Loïc Minier <loic.minier@linaro.org>, Cyril Brulebois <kibi@debian.org>
Cc: hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Tue, 10 May 2011 15:28:36 +0200
What should be done for that, s/arm/armel/ and add -marmv7a to the
CFLAGS at configure time, that's it?

I'm mostly clueless about which arm CPU versions Debian is supposed to
support, should I wrap valgrind in some shell script that checks if the
CPU is recent enough to run valgrind and fail gracefully if not? and if
thats a good idea, how can I know which arm version the CPU supports?
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 10 May 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 10 May 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #64 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Pierre Habouzit <madcoder@madism.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Tue, 10 May 2011 16:54:11 +0200
On Tue, May 10, 2011, Pierre Habouzit wrote:
> What should be done for that, s/arm/armel/ and add -marmv7a to the
> CFLAGS at configure time, that's it?

 Yup; ideally, you would test whether the toolchain config supports
 ARMv7, and if it doesn't you add -march=armv7-a to the CFLAGS.  This
 means that no flags is added to e.g. Debian armhf or to Ubuntu's armel
 or any Debian derivative which already turns on armv7-a (or higher).

 Something like this rules snippet would work I guess:

CROSS :=
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    CROSS :=  $(DEB_HOST_GNU_TYPE)-
endif

# this outputs 0 or 1 depending on whether a piece of assembly can be compiled
# with the *default* gcc flags; this is used to test the toolchain *default*
# configuration
check_asm = $(shell echo 'void foo(void) { __asm__ volatile("$(1)"); }' | $(CROSS)gcc -x c -c - -o /dev/null 2>/dev/null && echo 1 || echo 0)

ifeq ($(DEB_HOST_ARCH_CPU),arm)
    # whether the toolchain *default* configuration enables ARMv7
    v7_asm := dmb
    has_v7 := $(call check_asm, $(v7_asm))

ifneq ($(has_v7),1)
    CFLAGS += -march=armv7-a
endif
endif

> I'm mostly clueless about which arm CPU versions Debian is supposed to
> support, should I wrap valgrind in some shell script that checks if the
> CPU is recent enough to run valgrind and fail gracefully if not? and if
> thats a good idea, how can I know which arm version the CPU supports?

 That's a good idea idea; you could catch SIGILL or you could look at
 /proc/cpuid or cpuinfo.  This might also be known to eglibc, but I
 don't know whether you can get this information via some API.  I am not
 sure you can rely on uname -m.  Would someone have precise information
 for this?

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 10 May 2011 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 10 May 2011 15:15:03 GMT) Full text and rfc822 format available.

Message #69 received at 592614@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Pierre Habouzit <madcoder@madism.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Loïc Minier <loic.minier@linaro.org>, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Tue, 10 May 2011 18:02:59 +0300
On Tue, May 10, 2011 at 03:28:36PM +0200, Pierre Habouzit wrote:
> I'm mostly clueless about which arm CPU versions Debian is supposed to
> support, should I wrap valgrind in some shell script that checks if the
> CPU is recent enough to run valgrind and fail gracefully if not? and if
> thats a good idea, how can I know which arm version the CPU supports?

debian support armv4t+. considering /usr/bin/valgrind is a shell script,
checking from cpu from there should be possible. I wouldn't worry much,
valgrind is a expert tool, and experts should be able understand why
valgrind isn't available for their cpu.

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Tue, 10 May 2011 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Tue, 10 May 2011 16:18:06 GMT) Full text and rfc822 format available.

Message #74 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 592614@bugs.debian.org, Loïc Minier <loic.minier@linaro.org>, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Tue, 10 May 2011 18:15:23 +0200
On Tue, May 10, 2011 at 06:02:59PM +0300, Riku Voipio wrote:
> On Tue, May 10, 2011 at 03:28:36PM +0200, Pierre Habouzit wrote:
> > I'm mostly clueless about which arm CPU versions Debian is supposed to
> > support, should I wrap valgrind in some shell script that checks if the
> > CPU is recent enough to run valgrind and fail gracefully if not? and if
> > thats a good idea, how can I know which arm version the CPU supports?
> 
> debian support armv4t+. considering /usr/bin/valgrind is a shell script,
> checking from cpu from there should be possible. I wouldn't worry much,
> valgrind is a expert tool, and experts should be able understand why
> valgrind isn't available for their cpu.

oh right valgrind is a shellscript already, and I could like loic
suggest trap on SIGILL from the shellscript and fail with an error
message in that case…

I know people are supposed to "know" but if I can easily print an error
message it's even better.

Thanks to both of you, it's likely that the next valgrind will have that
then.
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Added tag(s) pending. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Tue, 10 May 2011 17:33:03 GMT) Full text and rfc822 format available.

Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. (Wed, 11 May 2011 06:21:10 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Wed, 11 May 2011 06:21:10 GMT) Full text and rfc822 format available.

Message #81 received at 592614-close@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 592614-close@bugs.debian.org
Subject: Bug#592614: fixed in valgrind 1:3.6.1-2
Date: Wed, 11 May 2011 06:17:55 +0000
Source: valgrind
Source-Version: 1:3.6.1-2

We believe that the bug you reported is fixed in the latest version of
valgrind, which is due to be installed in the Debian FTP archive:

valgrind_3.6.1-2.debian.tar.gz
  to main/v/valgrind/valgrind_3.6.1-2.debian.tar.gz
valgrind_3.6.1-2.dsc
  to main/v/valgrind/valgrind_3.6.1-2.dsc
valgrind_3.6.1-2_amd64.deb
  to main/v/valgrind/valgrind_3.6.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Habouzit <madcoder@debian.org> (supplier of updated valgrind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 May 2011 23:12:23 +0200
Source: valgrind
Binary: valgrind
Architecture: source amd64
Version: 1:3.6.1-2
Distribution: unstable
Urgency: low
Maintainer: Andrés Roldán <aroldan@debian.org>
Changed-By: Pierre Habouzit <madcoder@debian.org>
Description: 
 valgrind   - memory debugger and profiler
Closes: 475562 507236 592614 598870 599563 603961
Changes: 
 valgrind (1:3.6.1-2) unstable; urgency=low
 .
   * Enable valgrind build on armel (Closes: 592614):
       - s/arm/armel/ in debian/control;
       - build for armv7 since valgrind doesn't support older arm CPUs,
         thanks to Loïc Minier for the implementation details.
   * Add 0004-allow-or-quoting-of-strings-in-.valgrindrc.patch to allow parsing
     of options with spaces in ~/.valgrindrc (Closes: 507236).
   * Catch manpages build failures (Closes: 599563) thanks to Stefano Rivera.
   * Add suppression for __nss_database_lookup leaks in debian.supp
     (Closes: 598870).
   * String things not under /usr/lib/valgrind (Closes: 475562), document into
     the lintian-overrides why it shouldn't be stripped, namely
     http://valgrind.org/docs/manual/dist.readme-packagers.html.
   * Add 0006-workaround-SIGSEGV-on-PPC.patch to workaround PPC SIGSEGV
     (Closes: 603961).
Checksums-Sha1: 
 a4dca9c1372f07bc87c69f4563aee1c9223c96c9 1342 valgrind_3.6.1-2.dsc
 7208bf6347e1bd85cac3372a7c7b486390e897a2 30927 valgrind_3.6.1-2.debian.tar.gz
 5a08b6d7c49850716711f408077585c6dad0e62e 73845440 valgrind_3.6.1-2_amd64.deb
Checksums-Sha256: 
 f88cb18f619c52cb88a45147d57827f2944843262e3f71236c43e4ca68961da4 1342 valgrind_3.6.1-2.dsc
 dba19653647995d47208c7cd5777aeed76824ddec43adc8736c658a3413ded00 30927 valgrind_3.6.1-2.debian.tar.gz
 b6f38cbca49097b8283e50a907c6fb555086e023b66b157a5ff3a57306542d33 73845440 valgrind_3.6.1-2_amd64.deb
Files: 
 6bc9e5610cb77fd60976aaeb2bd6053d 1342 devel optional valgrind_3.6.1-2.dsc
 2090174736ef23ba836bea0f87522f4b 30927 devel optional valgrind_3.6.1-2.debian.tar.gz
 9f303ab5bd2f526e2af7d9f514575712 73845440 devel optional valgrind_3.6.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3KJD0ACgkQvGr7W6HudhwykgCfVt/FakbW636fpv0xPxJlrMP0
DS8An1ifGCBSqLkTLUj/B79ZrypP1pAN
=qM8Y
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 07:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 07:27:02 GMT) Full text and rfc822 format available.

Message #86 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Loïc Minier <loic.minier@linaro.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 09:24:53 +0200
On Tue, May 10, 2011 at 04:54:11PM +0200, Loïc Minier wrote:
> On Tue, May 10, 2011, Pierre Habouzit wrote:
> > What should be done for that, s/arm/armel/ and add -marmv7a to the
> > CFLAGS at configure time, that's it?
> 
>  Yup; ideally, you would test whether the toolchain config supports
>  ARMv7, and if it doesn't you add -march=armv7-a to the CFLAGS.  This
>  means that no flags is added to e.g. Debian armhf or to Ubuntu's armel
>  or any Debian derivative which already turns on armv7-a (or higher).
> 
>  Something like this rules snippet would work I guess:
> 
> CROSS :=
> ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
>     CROSS :=  $(DEB_HOST_GNU_TYPE)-
> endif
> 
> # this outputs 0 or 1 depending on whether a piece of assembly can be compiled
> # with the *default* gcc flags; this is used to test the toolchain *default*
> # configuration
> check_asm = $(shell echo 'void foo(void) { __asm__ volatile("$(1)"); }' | $(CROSS)gcc -x c -c - -o /dev/null 2>/dev/null && echo 1 || echo 0)
> 
> ifeq ($(DEB_HOST_ARCH_CPU),arm)
>     # whether the toolchain *default* configuration enables ARMv7
>     v7_asm := dmb
>     has_v7 := $(call check_asm, $(v7_asm))
> 
> ifneq ($(has_v7),1)
>     CFLAGS += -march=armv7-a
> endif
> endif

Sadly it doesn't work:
https://buildd.debian.org/status/fetch.php?pkg=valgrind&arch=armel&ver=1%3A3.6.1-2&stamp=1305095779

I have an arm at home so I'll try to see if I'm able to understand how
to cheat it, but if you have any clever idea, I'd love to hear it :)
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 07:42:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 07:42:24 GMT) Full text and rfc822 format available.

Message #91 received at 592614@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Pierre Habouzit <madcoder@madism.org>
Cc: Loïc Minier <loic.minier@linaro.org>, Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 10:32:51 +0300
On Wed, May 11, 2011 at 09:24:53AM +0200, Pierre Habouzit wrote:
> Sadly it doesn't work:
> https://buildd.debian.org/status/fetch.php?pkg=valgrind&arch=armel&ver=1%3A3.6.1-2&stamp=1305095779
 
> I have an arm at home so I'll try to see if I'm able to understand how
> to cheat it, but if you have any clever idea, I'd love to hear it :)

Thanks for your effort. There is abel.debian.org which is armel porterbox
you can try builds. Hector should be able to install valgrind build-depends
there. In case you don't have time/energy to debug the issue on a remote
machine, I can have a look next week.

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 07:42:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 07:42:27 GMT) Full text and rfc822 format available.

Message #96 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: Loïc Minier <loic.minier@linaro.org>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 09:38:44 +0200
On Wed, May 11, 2011 at 10:32:51AM +0300, Riku Voipio wrote:
> On Wed, May 11, 2011 at 09:24:53AM +0200, Pierre Habouzit wrote:
> > Sadly it doesn't work:
> > https://buildd.debian.org/status/fetch.php?pkg=valgrind&arch=armel&ver=1%3A3.6.1-2&stamp=1305095779
>  
> > I have an arm at home so I'll try to see if I'm able to understand how
> > to cheat it, but if you have any clever idea, I'd love to hear it :)
> 
> Thanks for your effort. There is abel.debian.org which is armel porterbox
> you can try builds. Hector should be able to install valgrind build-depends
> there. In case you don't have time/energy to debug the issue on a remote
> machine, I can have a look next week.

Well I have thecus@home with a local mirror on it, it's just I'm not
sure I'll be able to trick autoconf and so forth, I'm not versed in arm
nor in cross-compiling stuff so… machine availability isn't the issue :)

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Bug Marked as found in versions valgrind/1:3.6.1-2; no longer marked as fixed in versions valgrind/1:3.6.1-2 and reopened. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Wed, 11 May 2011 07:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 08:12:05 GMT) Full text and rfc822 format available.

Message #103 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: Loïc Minier <loic.minier@linaro.org>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 10:07:59 +0200
On Wed, May 11, 2011 at 09:38:44AM +0200, Pierre Habouzit wrote:
> On Wed, May 11, 2011 at 10:32:51AM +0300, Riku Voipio wrote:
> > On Wed, May 11, 2011 at 09:24:53AM +0200, Pierre Habouzit wrote:
> > > Sadly it doesn't work:
> > > https://buildd.debian.org/status/fetch.php?pkg=valgrind&arch=armel&ver=1%3A3.6.1-2&stamp=1305095779
> >  
> > > I have an arm at home so I'll try to see if I'm able to understand how
> > > to cheat it, but if you have any clever idea, I'd love to hear it :)
> > 
> > Thanks for your effort. There is abel.debian.org which is armel porterbox
> > you can try builds. Hector should be able to install valgrind build-depends
> > there. In case you don't have time/energy to debug the issue on a remote
> > machine, I can have a look next week.
> 
> Well I have thecus@home with a local mirror on it, it's just I'm not
> sure I'll be able to trick autoconf and so forth, I'm not versed in arm
> nor in cross-compiling stuff so… machine availability isn't the issue :)

Looks like the easiest road is:

  -  armv7*)
  +  arm*)

In the configure case "${host}" in. I'll upload a -3 with that patch and
we'll see how far it goes
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 08:15:05 GMT) Full text and rfc822 format available.

Message #108 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Pierre Habouzit <madcoder@madism.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 10:10:27 +0200
On Wed, May 11, 2011, Pierre Habouzit wrote:
> https://buildd.debian.org/status/fetch.php?pkg=valgrind&arch=armel&ver=1%3A3.6.1-2&stamp=1305095779

 configure.in tests whether host_cpu matches armv7*; I think this is
 incorrect to start with as it should be fine to configure valgrind with
 "--host=arm-linux-gnueabi" (BTW debian/rules doesn't pass
 --build/--host ATM).

 A quick workaround would be to pass --host=armv7-linux-gnueabi to
 configure on armel, but the real fix is probably to change the upstream
 configure.in to build a C program with just "asm("dmb")" to see whether
 ARMv7 is available.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 09:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <loic.minier@linaro.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 09:45:06 GMT) Full text and rfc822 format available.

Message #113 received at 592614@bugs.debian.org (full text, mbox):

From: Loïc Minier <loic.minier@linaro.org>
To: Pierre Habouzit <madcoder@madism.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 11:42:54 +0200
On Wed, May 11, 2011, Pierre Habouzit wrote:
> Looks like the easiest road is:
>   -  armv7*)
>   +  arm*)
> In the configure case "${host}" in. I'll upload a -3 with that patch and
> we'll see how far it goes

 Yep, but upstream specifically want to test for arm >= v7 as to fail
 the build on <= 6 which isn't supported, so that change wouldn't be
 upstreamable  :-/

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#592614; Package valgrind. (Wed, 11 May 2011 11:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@madism.org>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 11 May 2011 11:06:07 GMT) Full text and rfc822 format available.

Message #118 received at 592614@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@madism.org>
To: Loïc Minier <loic.minier@linaro.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 592614@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, hector.oron@gmail.com, peter.maydell@linaro.org
Subject: Re: Bug#592614: current snapshot ok for armv7
Date: Wed, 11 May 2011 13:02:36 +0200
On Wed, May 11, 2011 at 11:42:54AM +0200, Loïc Minier wrote:
> On Wed, May 11, 2011, Pierre Habouzit wrote:
> > Looks like the easiest road is:
> >   -  armv7*)
> >   +  arm*)
> > In the configure case "${host}" in. I'll upload a -3 with that patch and
> > we'll see how far it goes
> 
>  Yep, but upstream specifically want to test for arm >= v7 as to fail
>  the build on <= 6 which isn't supported, so that change wouldn't be
>  upstreamable  :-/

Sure, I can live with that, for now I want to see how far it goes, and
once we've something working I'll try to make things more "upstreamable"
:)
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org




Reply sent to Pierre Habouzit <madcoder@debian.org>:
You have taken responsibility. (Thu, 12 May 2011 12:06:04 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 12 May 2011 12:06:06 GMT) Full text and rfc822 format available.

Message #123 received at 592614-close@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 592614-close@bugs.debian.org
Subject: Bug#592614: fixed in valgrind 1:3.6.1-3
Date: Thu, 12 May 2011 12:03:22 +0000
Source: valgrind
Source-Version: 1:3.6.1-3

We believe that the bug you reported is fixed in the latest version of
valgrind, which is due to be installed in the Debian FTP archive:

valgrind_3.6.1-3.debian.tar.gz
  to main/v/valgrind/valgrind_3.6.1-3.debian.tar.gz
valgrind_3.6.1-3.dsc
  to main/v/valgrind/valgrind_3.6.1-3.dsc
valgrind_3.6.1-3_amd64.deb
  to main/v/valgrind/valgrind_3.6.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Habouzit <madcoder@debian.org> (supplier of updated valgrind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 May 2011 13:35:29 +0200
Source: valgrind
Binary: valgrind
Architecture: source amd64
Version: 1:3.6.1-3
Distribution: unstable
Urgency: low
Maintainer: Andrés Roldán <aroldan@debian.org>
Changed-By: Pierre Habouzit <madcoder@debian.org>
Description: 
 valgrind   - memory debugger and profiler
Closes: 592614
Changes: 
 valgrind (1:3.6.1-3) unstable; urgency=low
 .
   * update 0002-version.patch to loosen the checks on the arm version
     (Closes: 592614).
Checksums-Sha1: 
 a549717426a1ce044194ae68aaff6118208c1917 1342 valgrind_3.6.1-3.dsc
 b239df22a3ee55c0e78664612bf3208487e4d2a6 31109 valgrind_3.6.1-3.debian.tar.gz
 ec9ee1fb418795b88c27c611fe639650a720c7cb 73845066 valgrind_3.6.1-3_amd64.deb
Checksums-Sha256: 
 4e6ef2cb1f836310bc9f1453ae4fef16e1bf2a2889b6e6107a755da2fbdeae44 1342 valgrind_3.6.1-3.dsc
 01c0de11316971735118660417706e9ceb2e982bc7d1dc592467306835d59fb2 31109 valgrind_3.6.1-3.debian.tar.gz
 10177f6d6ab77a98fab708818c424b5349bd1bcb5dccfe1c15791c9391c160b2 73845066 valgrind_3.6.1-3_amd64.deb
Files: 
 23802b259ec97aaa5d3c2ee5dfdb64bc 1342 devel optional valgrind_3.6.1-3.dsc
 a790297dbf1f60e23bf09c2da24e8198 31109 devel optional valgrind_3.6.1-3.debian.tar.gz
 2b4908550040624897f527a267a39291 73845066 devel optional valgrind_3.6.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3LxqsACgkQvGr7W6Hudhx+JQCeJRgLo95Xv+LwZjms80JogIDj
5w4An0E3nDV2JjwRVWVponNkat/3x+4n
=x3X1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:14:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.